Name:           ipsec-tools-initscript
Version:        1.2
Release:        0%{?dist}
Summary:        Init-script for racoon daemon

Group:          System Environment/Base
License:        GPLv2
Source0:        racoon.init
Source1:	racoon.sysconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ipsec-tools

BuildArch:	noarch

%description
This package provides an initial script for racoon daemon.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m755 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/racoon
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/racoon

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add racoon

%preun
if [ "$1" = "0" ]; then
        /sbin/chkconfig --del racoon
fi

%files
%defattr(-,root,root,-)
%{_sysconfdir}/rc.d/init.d/racoon
%{_sysconfdir}/sysconfig/racoon



%changelog

* Fri Nov 20 2009 Vesselin Kolev <http://rpm.vesselin.org> - 1.2-0
- added setkey support and setkey conf in %{_sysconfdir}/racoon

* Fri Sep 11 2009 Vesselin Kolev <http://rpm.vesselin.org> - 1.1-0
- added sysconfig file racoon

* Wed Sep 09 2009 Vesselin Kolev <http://rpm.vesselin.org> - 1.0-2
- added SELinux support

* Tue Sep 08 2009 Vesselin Kolev <http://rpm.vesselin.org> - 1.0-1
- initial build for Red Hat Enterprise Linux 5
